# Use rpmbuild --without gcj to disable native bits
%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           idw-gpl
Version:        1.6.1
Release:        1%{?dist}
Summary:        A Java Swing-based docking windows framework

Group:          Development/Libraries/Java
License:        GPLv2+
URL:            http://www.infonode.net/
Source:         http://downloads.sourceforge.net/infonode/%{name}-%{version}-src.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:       ilf-gpl = %{version}-%{release}, itp-gpl = %{version}-%{release}

BuildRequires:  java-devel, jpackage-utils
Requires:       java, jpackage-utils
%if %{with_gcj}
BuildRequires:  java-gcj-compat-devel >= 1.0.31
Requires(post): java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif

%description
InfoNode Docking Windows is a Java Swing-based docking windows framework.  It
also includes a highly flexible tabbed panel component and a slim Swing look
and feel.

%package javadoc
Group:          Development/Libraries/Java
Summary:        Javadoc for InfoNode Docking Windows
Requires:       idw-gpl = %{version}-%{release}, jpackage-utils

%description javadoc
Javadoc documentation for InfoNode Docking Windows.

%prep
%setup -q

# Fix line endings
sed -i 's/\r//' LICENSE.txt

%build
mkdir classes
find src -type f -name '*.java' | \
  xargs javac -d classes -g -source 1.3 -encoding ISO8859-1
for d in net/infonode/tabbedpanel/theme/internal/resource net/infonode/docking/theme/internal/resource; do
  cp -a src/$d classes/$d
done
jar cf %{name}-%{version}.jar -C classes .
mkdir docs
find src -type f -name '*.java' | \
  xargs javadoc -d docs -version -author -encoding ISO8859-1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}
mv docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/%{name}*
%if %{with_gcj}
%{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}*

%changelog
* Wed Mar 18 2009 Jerry James <loganjerry@gmail.com> - 1.6.1-1
- Update to 1.6.1
- Drop upstreamed patches

* Mon May  5 2008 Jerry James <loganjerry@gmail.com> - 1.5.0-5
- Add virtual provides for LAF and tabbed panels

* Thu May  1 2008 Jerry James <loganjerry@gmail.com> - 1.5.0-4
- Fix issues raised in review

* Fri Apr 18 2008 Jerry James <loganjerry@gmail.com> - 1.5.0-3
- Updates for new Java packaging guidelines

* Wed Nov 14 2007 Jerry James <loganjerry@gmail.com> - 1.5.0-2
- Fix the look-and-feel patch so it works with all JDKs
- Fix line endings in LICENSE.txt
- The source files use non-ASCII ISO-8859-1 characters

* Thu Sep  6 2007 Jerry James <loganjerry@gmail.com> - 1.5.0-1
- Initial RPM
